This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 141990 - e1000 driver broken in kernel-smp-2.6.9-1.698.FC3
e1000 driver broken in kernel-smp-2.6.9-1.698.FC3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-06 11:41 EST by Chris Ricker
Modified: 2015-01-04 17:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-14 13:09:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2004-12-06 11:41:59 EST
After upgrading to 2.6.9-1.698.FC3, I get errors like:

e1000: eth0: e1000_setup_tx_resources: Unable to Allocate aligned
Memory for the Transmit descriptor ring
SIOCSIFFLAGS: Cannot allocate memory
Failed to bring up eth0

when I try to bring up any of the interfaces in this box (Dell 1600 SC
with 4 e1000s in it)
Comment 1 Chris Ricker 2004-12-07 12:04:43 EST
Same thing with kernel-smp-2.6.9-1.1018_FC4. Nothing more current than
1.681 seems to work

This box has the following NICs:

00:02.0 Ethernet controller: Intel Corp. 82540EM Gigabit Ethernet
Controller (rev 02)
01:06.0 Ethernet controller: Intel Corp. 82545GM Gigabit Ethernet
Controller (rev 04)
02:02.0 Ethernet controller: Intel Corp. 82545GM Gigabit Ethernet
Controller (rev 04)
02:04.0 Ethernet controller: Intel Corp. 82545GM Gigabit Ethernet
Controller (rev 04)

I get that same error for both the onboard and the PCI add-on NICs
Comment 2 Chris Ricker 2004-12-14 13:09:44 EST
2.6.9-1.715_FC3smp fixes this

Note You need to log in before you can comment on or make changes to this bug.